CREATE TABLE cst_rapid_impl_pc_bu (
    PROFIT_CENTER_BU_ID            NUMBER(18, 0) ,
    COST_ORG_CODE                  VARCHAR2(2000)    NOT NULL,
    COST_ORG_NAME                  VARCHAR2(960)     NOT NULL,
    COST_METHOD                    VARCHAR2(120)     NOT NULL,
    STATUS                         VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    QUICK_SETUP_ID                 NUMBER(18, 0) ,
    COST_BOOK_CODE                 VARCHAR2(120) ,
    NEGATIVE_QTY_CODE              VARCHAR2(120) ,
    OPERATION_SCRAP_COST_TYPE      VARCHAR2(120) ,
    FIRST_LEDGER_PERIOD_NAME       VARCHAR2(60)  ,
    COST_LEVEL                     VARCHAR2(120) ,
    VALIDATION_ORGANIZATION_ID     NUMBER(18, 0) ,
    VAL_STRUCTURE_CODE             VARCHAR2(120) ,
    PROPAGATE_COST_ADJ_FLAG        VARCHAR2(4)   ,
    ENFORCE_TXN_DATE_ORDER_FLAG    VARCHAR2(20)  ,
    ASSET_COST_PROFILE_CODE        VARCHAR2(120) ,
    EXPENSE_COST_PROFILE_CODE      VARCHAR2(120) ,
    CREATION_SOURCE                VARCHAR2(16)  ,
    PROFIT_CENTER_BU_ID            NUMBER(18, 0) ,
    COST_ORG_CODE                  VARCHAR2(2000)    NOT NULL,
    COST_ORG_NAME                  VARCHAR2(960)     NOT NULL,
    COST_METHOD                    VARCHAR2(120)     NOT NULL,
    STATUS                         VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    QUICK_SETUP_ID                 NUMBER(18, 0) ,
    COST_BOOK_CODE                 VARCHAR2(120) ,
    NEGATIVE_QTY_CODE              VARCHAR2(120) ,
    OPERATION_SCRAP_COST_TYPE      VARCHAR2(120) ,
    FIRST_LEDGER_PERIOD_NAME       VARCHAR2(60)  ,
    COST_LEVEL                     VARCHAR2(120) ,
    VALIDATION_ORGANIZATION_ID     NUMBER(18, 0) ,
    VAL_STRUCTURE_CODE             VARCHAR2(120) ,
    PROPAGATE_COST_ADJ_FLAG        VARCHAR2(4)   ,
    ENFORCE_TXN_DATE_ORDER_FLAG    VARCHAR2(20)  ,
    ASSET_COST_PROFILE_CODE        VARCHAR2(120) ,
    EXPENSE_COST_PROFILE_CODE      VARCHAR2(120) ,
    CREATION_SOURCE                VARCHAR2(16)  ,
    CONSTRAINT pk_cst_rapid_impl_pc_bu PRIMARY KEY (PROFIT_CENTER_BU_ID, QUICK_SETUP_ID, PROFIT_CENTER_BU_ID, QUICK_SETUP_ID)
);
